%define upstream_name    Test-FailWarnings
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Add test failures if warnings are caught
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.120.0
BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module hooks '$SIG{__WARN__}' and converts warnings to the Test::More
manpage's 'fail()' calls. It is designed to be used with 'done_testing',
when you don't need to know the test count in advance.

Just as with the Test::NoWarnings manpage, this does not catch warnings if
other things localize '$SIG{__WARN__}', as this is designed to catch
_unhandled_ warnings.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-7.mga6
+ Revision: 1034285
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.8.0-6.mga6
+ Revision: 944336
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 740712
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.8.0-4.mga5
+ Revision: 736004
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 686435
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 537788
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.8.0-1.mga4
+ Revision: 487715
- update to 0.008

* Fri Sep 06 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 475448
- update to 0.007

* Thu Aug 22 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 469762
- update to 0.006

* Wed Jun 26 2013 jquelin <jquelin> 0.5.0-1.mga4
+ Revision: 447193
- imported package perl-Test-FailWarnings


* Wed Jun 26 2013 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
